VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "SampleGlobalsClass"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private Const conModuleName = "SampleGlobalsClass"

Private mcnn1 As ADODB.Connection
Private mConnectionString As String

Private mContentType As String

'concatination of error messages,
' formatted according to user current content type
Public ErrorFormatted As String
' last error message, formatted according to user current content type
Public ErrorFormatted_last As String
' is used for XML responses
Public xmlError As MSXML2.FreeThreadedDOMDocument40

Public Property Get cnn1IsNothing() As Boolean
Const conModuleSubName = conModuleName & ":" & "cnn1IsNothing Property Get"
  On Error GoTo ErrProc
  cnn1IsNothing = (mcnn1 Is Nothing)

ExitProc:
  Exit Property

ErrProc:
  ShowError conModuleSubName
  Resume ExitProc
End Property

'this is DB connection, that is shared by everything in this instance of the component
'Is used by yvErrorHandler to find additional ADO errors
Public Property Get cnn1() As ADODB.Connection
Const conModuleSubName = conModuleName & ":" & "cnn1 Property Get"
Dim str1 As String
  On Error GoTo ErrProc
  If mcnn1 Is Nothing Then
    Set mcnn1 = New ADODB.Connection
    mcnn1.Provider = "sqloledb"
    mcnn1.Open mConnectionString
    
    ' ... something (e.g. DB version check)
    
  End If
  Set cnn1 = mcnn1

ExitProc:
  Exit Property

ErrProc:
  ShowError conModuleSubName
  Set mcnn1 = Nothing
  Resume ExitProc
End Property

Public Property Get ContentType() As String
  ContentType = mContentType
End Property

